#!/bin/bash
# Or zsh will work too
# Example usage:
#   ./move_window_away.sh `xdotool getwindowfocus`
# Or let's move all our xterms to one location on the screen.
#   xdotool search --class xterm | xargs -n1 ./move_window_away.sh


. ../xdolib.sh

if [ $# -ne 1 ]; then
  echo "Usage: $0 windowid"
  echo "Drags a window away by where we think the titlebar is"
  exit 1
fi

wid=$1

eval $(_xwininfo $wid)

title_ypos=$(($ypos - 8))
title_xpos=$(($xpos + 8))

( # Start dragging on the title
  xdotool mousemove $title_xpos $title_ypos
  xdotool mousedown 1
  xdotool mousemove $(($title_xpos + 3)) $title_ypos
)

# Do the actual jump to a new location
#xdotool mousemove 500 0
# Or move to the top-right
eval $(_xwininfo $(rootwindow))
xdotool mousemove $width 0

# Unclick.
xdotool mouseup 1
